Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.search
Class HibernateSearchEventListenerRegister

    java.lang.Object
      org.hibernate.cfg.search.HibernateSearchEventListenerRegister

Deprecated. as of release 3.4.0.CR2, replaced by Hibernate Search's `org.hibernate.search.cfg.EventListenerRegister`

    @Deprecated
    public class HibernateSearchEventListenerRegister

extends Object

Helper methods initializing Hibernate Search event listeners.

Author:
  Emmanuel Bernard, Hardy Ferentschik

Constructor Summary
`HibernateSearchEventListenerRegister()` Deprecated.

Method Summary
`static void` | `enableHibernateSearch(EventListeners eventListeners, Properties properties)` Deprecated. as of release 3.4.0.CR2, replaced by Hibernate Search's `org.hibernate.search.cfg.EventListenerRegister#enableHibernateSearch(EventListeners, Properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSearchEventListenerRegister

    public HibernateSearchEventListenerRegister()

  Deprecated.

Method Detail

### enableHibernateSearch

    @Deprecated
    public static void enableHibernateSearch(EventListeners eventListeners,
                                                        Properties properties)

  Deprecated. as of release 3.4.0.CR2, replaced by Hibernate Search's `org.hibernate.search.cfg.EventListenerRegister#enableHibernateSearch(EventListeners, Properties)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.